package dataLoad;
/**
* <h1>FullDataLoaderFactory</h1>
* Factory class responsible for creating different types
* of loaders.
*
* @version 1.0
* @since   2017-07-22
*/
public class FullDataLoaderFactory {
	
	/**
 	 * Creates different types of loaders based on the input parameter
 	 * 
 	 * @param className: type of loader
 	 * @param empPath a String with the path of the file with employees
 	 * @param dishPath a String with the path of the file with dishes
 	 * @param orderPath a String with the path of the file with orders
 	 * @return an IFullDataLoader loader to load all three files
 	 */
	public IFullDataLoader createFullDataLoader(String className, String empPath, String dishPath, String orderPath){
		if(className.equals("FullDataLoader"))
			return new FullDataLoader(empPath, dishPath, orderPath);
		
		System.out.println("If the code got up to here, you passed a wrong argument to the FullDataLoader Factory");
		return null;
	}

}
