package tests;

import static org.junit.Assert.assertNotNull;

import java.util.ArrayList;

import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

import dataLoad.FullDataLoaderFactory;
import dataLoad.IFullDataLoader;
import dataModel.Dish;
import dataModel.Employee;
import dataModel.EmployeeFactory;
import dataModel.Order;

public class DataModelTest {
	private EmployeeFactory employeeFactory;
	private ArrayList<Employee> personnel;
	private ArrayList<Dish> menu;
	private ArrayList<Order> orders;
	private IFullDataLoader dataLoader;
	private FullDataLoaderFactory dataLoaderFactory;
	
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
		//this runs once, before _all_ tests. Nothing todo here.
		//See CDTest for explanations
	}

	@Before
	public void setUp() throws Exception {
		employeeFactory = new EmployeeFactory();
		personnel = new ArrayList<Employee>();
		menu = new ArrayList<Dish>();
		orders = new ArrayList<Order>();
		dataLoaderFactory = new FullDataLoaderFactory();
		dataLoader = dataLoaderFactory.createFullDataLoader("FullDataLoader","./input/employees_test.txt", "./input/dishes_test.txt", "./input/orders_test.txt");	
	}

	@Test
	public final void testEmployeeFactoryNull() {
		assertNotNull("After setup, the employeeFactory is not null", employeeFactory);
	}

	
	@Test
	public final void testDataRecords() {
		dataLoader.fullDataLoad(personnel, menu, orders);
		
		for(Order order: orders){
			assertNotNull(order.getOrderEmp());
			assertNotNull(order.getOrderDish());
		}
		
		for(Dish dish:menu){
			assertNotNull(dish.getOrders());
		}	
	}
	
}
